> ## Documentation Index
> Fetch the complete documentation index at: https://docs.poix.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get search suggestions

> This endpoint retrieves a list of search suggestions for a specified query.

This endpoint retrieves a list of search suggestions for a specified query string.

### Price

The cost of this request is \$0.00013 per request.


## OpenAPI

````yaml get /autocomplete
openapi: 3.1.0
info:
  version: 1.0.1
  title: Poix API
servers:
  - url: https://api.poix.io
    description: Production server
security: []
paths:
  /autocomplete:
    get:
      tags:
        - Search
      summary: Get search suggestions
      description: >-
        This endpoint retrieves a list of search suggestions for a specified
        query.
      operationId: getSearchSuggestions
      parameters:
        - schema:
            type: string
            description: The search query to retrieve suggestions for.
          required: true
          description: The search query to retrieve suggestions for.
          name: q
          in: query
        - schema:
            type: string
            enum:
              - AD
              - AE
              - AF
              - AG
              - AI
              - AL
              - AM
              - AN
              - AO
              - AQ
              - AR
              - AS
              - AT
              - AU
              - AW
              - AX
              - AZ
              - BA
              - BB
              - BD
              - BE
              - BF
              - BG
              - BH
              - BI
              - BJ
              - BM
              - BN
              - BO
              - BR
              - BS
              - BT
              - BV
              - BW
              - BY
              - BZ
              - CA
              - CC
              - CD
              - CF
              - CG
              - CH
              - CI
              - CK
              - CL
              - CM
              - CN
              - CO
              - CR
              - CU
              - CV
              - CX
              - CY
              - CZ
              - DE
              - DJ
              - DK
              - DM
              - DO
              - DZ
              - EC
              - EE
              - EG
              - EH
              - ER
              - ES
              - ET
              - EU
              - FI
              - FJ
              - FK
              - FM
              - FO
              - FR
              - GA
              - GB
              - GD
              - GE
              - GF
              - GG
              - GH
              - GI
              - GL
              - GM
              - GN
              - GP
              - GQ
              - GR
              - GS
              - GT
              - GU
              - GW
              - GY
              - HK
              - HM
              - HN
              - HR
              - HT
              - HU
              - ID
              - IE
              - IL
              - IM
              - IN
              - IO
              - IQ
              - IR
              - IS
              - IT
              - JE
              - JM
              - JO
              - JP
              - KE
              - KG
              - KH
              - KI
              - KM
              - KN
              - KP
              - KR
              - KW
              - KY
              - KZ
              - LA
              - LB
              - LC
              - LI
              - LK
              - LR
              - LS
              - LT
              - LU
              - LV
              - LY
              - MA
              - MC
              - MD
              - ME
              - MG
              - MH
              - MK
              - ML
              - MM
              - MN
              - MO
              - MP
              - MQ
              - MR
              - MS
              - MT
              - MU
              - MV
              - MW
              - MX
              - MY
              - MZ
              - NA
              - NC
              - NE
              - NF
              - NG
              - NI
              - NL
              - 'NO'
              - NP
              - NR
              - NU
              - NZ
              - OM
              - PA
              - PE
              - PF
              - PG
              - PH
              - PK
              - PL
              - PM
              - PN
              - PR
              - PS
              - PT
              - PW
              - PY
              - QA
              - RE
              - RO
              - RS
              - RU
              - RW
              - SA
              - SB
              - SC
              - SD
              - SE
              - SG
              - SH
              - SI
              - SJ
              - SK
              - SL
              - SM
              - SN
              - SO
              - SR
              - ST
              - SV
              - SY
              - SZ
              - TC
              - TD
              - TF
              - TG
              - TH
              - TJ
              - TK
              - TL
              - TM
              - TN
              - TO
              - TR
              - TT
              - TV
              - TW
              - TZ
              - UA
              - UG
              - UM
              - US
              - UY
              - UZ
              - VA
              - VC
              - VE
              - VG
              - VI
              - VN
              - VU
              - WF
              - WS
              - XK
              - YE
              - YT
              - ZA
              - ZM
              - ZW
            description: >-
              Instructs the API to return results as if the request was made
              from a specific country. ISO 3166 alpha-2 country code.
          required: false
          description: >-
            Instructs the API to return results as if the request was made from
            a specific country. ISO 3166 alpha-2 country code.
          name: regionCode
          in: query
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: string
                    description: Array of search suggestion strings.
                required:
                  - data
              example:
                data:
                  - cats
                  - cats meowing
                  - cats in the cradle
                  - cats talking
                  - cats fighting
                  - cats meowing to attract cats
                  - cats funny videos
                  - cats mating
                  - cats and cucumbers
                  - cats in the cradle harry chapin
                  - cats can talk
                  - cats funny
                  - cats speaking english
                  - cats musical
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    enum:
                      - false
                  error:
                    type: object
                    properties:
                      issues:
                        type: array
                        items:
                          type: object
                          properties:
                            code:
                              type: string
                            expected:
                              type: string
                            received:
                              type: string
                            maximum:
                              type: number
                            type:
                              type: string
                            inclusive:
                              type: boolean
                            exact:
                              type: boolean
                            message:
                              type: string
                            path:
                              type: array
                              items:
                                type: string
                          required:
                            - code
                            - message
                            - path
                      name:
                        type: string
                        enum:
                          - ZodError
                    required:
                      - issues
                      - name
                required:
                  - success
                  - error
              example:
                success: false
                error:
                  issues:
                    - code: invalid_type
                      expected: string
                      received: undefined
                      path:
                        - q
                      message: Required
                  name: ZodError
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      message:
                        type: string
                    required:
                      - message
                required:
                  - error
              example:
                error:
                  message: Forbidden
      security:
        - Bearer: []
components:
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT

````